{
    attributes = (
        {
            columnName = BCAL_ETAT; 
            externalType = NUMBER; 
            name = bcalEtat; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = BCAL_MOYENNE1; 
            externalType = NUMBER; 
            name = bcalMoyenne1; 
            precision = 6; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = BCAL_MOYENNE2; 
            externalType = NUMBER; 
            name = bcalMoyenne2; 
            precision = 6; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MRSEM_KEY; 
            externalType = NUMBER; 
            name = mrsemKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (fspnKey, mrsemKey, fannKey); 
    className = EOGenericRecord; 
    classProperties = (fspnKey, mrsemKey, bcalEtat, bcalMoyenne1, bcalMoyenne2, fannKey); 
    externalName = SCOL_BILAN_CALCUL; 
    fetchSpecificationDictionary = {}; 
    name = ScolBilanCalcul; 
    primaryKeyAttributes = (fspnKey, mrsemKey, fannKey); 
}
